function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = DD.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(24, 35);
g1(1,1)=(-((1-params(1))/(1+params(2))));
g1(1,8)=1;
g1(1,9)=(-((params(1)+params(2))/(1+params(2))));
g1(2,2)=(-((1-params(1))/(1+params(2))));
g1(2,10)=1;
g1(2,11)=(-((params(1)+params(2))/(1+params(2))));
g1(3,3)=(-1);
g1(3,12)=1;
g1(3,31)=(-1);
g1(4,12)=1;
g1(4,13)=1+(params(4)-1)*(1-params(3));
g1(4,14)=(-((params(4)-1)*params(3)*params(13)));
g1(4,15)=(-((params(4)-1)*params(3)*(1-params(13))));
g1(5,13)=(-((1-params(3))*(-(params(4)-1))));
g1(5,14)=(-((1+(params(4)-1)*params(3))*params(11)/(1-params(11))));
g1(5,16)=1;
g1(6,13)=(-((1-params(3))*(-(params(4)-1))));
g1(6,15)=(-((1+(params(4)-1)*params(3))*params(12)/(1-params(12))));
g1(6,17)=1;
g1(7,12)=1;
g1(7,16)=(-1);
g1(7,18)=1;
g1(7,19)=(-1);
g1(8,16)=1;
g1(8,17)=(-1);
g1(9,13)=(-1);
g1(9,20)=1;
g1(9,21)=(-(params(14)*(1-params(20))));
g1(10,13)=(-1);
g1(10,21)=params(14)*params(20);
g1(10,22)=1;
g1(11,8)=(-(1-params(16)));
g1(11,14)=(-params(16));
g1(11,23)=1;
g1(11,24)=(-params(16));
g1(11,25)=(-params(16));
g1(12,10)=(-(1-params(17)));
g1(12,15)=(-params(17));
g1(12,26)=1;
g1(12,27)=(-params(17));
g1(12,28)=(-params(17));
g1(13,25)=(-((-params(13))/params(21)));
g1(13,28)=1;
g1(14,9)=(-params(7));
g1(14,20)=(-params(5));
g1(14,23)=1;
g1(14,29)=(-params(9));
g1(15,11)=(-params(8));
g1(15,22)=(-params(6));
g1(15,26)=1;
g1(15,30)=(-params(10));
g1(16,8)=1;
g1(16,23)=(-1);
g1(16,31)=(1+params(15))/(params(1)+params(15));
g1(17,10)=1;
g1(17,26)=(-1);
g1(17,31)=(1+params(15))/(params(1)+params(15));
g1(18,18)=1;
g1(18,23)=(-1);
g1(18,25)=1;
g1(19,18)=1;
g1(19,26)=(-1);
g1(19,28)=1;
g1(20,4)=(-params(19));
g1(20,24)=1;
g1(20,32)=(-1);
g1(21,5)=(-params(19));
g1(21,27)=1;
g1(21,33)=(-1);
g1(22,6)=(-params(18));
g1(22,29)=1;
g1(22,34)=(-1);
g1(23,7)=(-params(18));
g1(23,30)=1;
g1(23,35)=(-1);
g1(24,13)=1;
g1(24,20)=(-params(20));
g1(24,22)=(-(1-params(20)));

end
