function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
% function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = DD.dynamic_resid_tt(T, y, x, params, steady_state, it_);
end
residual = zeros(24, 1);
lhs = y(8);
rhs = (1-params(1))/(1+params(2))*y(1)+(params(1)+params(2))/(1+params(2))*y(9);
residual(1) = lhs - rhs;
lhs = y(10);
rhs = (1-params(1))/(1+params(2))*y(2)+(params(1)+params(2))/(1+params(2))*y(11);
residual(2) = lhs - rhs;
lhs = y(12);
rhs = y(3)+y(31);
residual(3) = lhs - rhs;
lhs = y(12);
rhs = (-(1+(params(4)-1)*(1-params(3))))*y(13)+(params(4)-1)*params(3)*(params(13)*y(14)+(1-params(13))*y(15));
residual(4) = lhs - rhs;
lhs = y(16);
rhs = y(13)*(1-params(3))*(-(params(4)-1))+y(14)*(1+(params(4)-1)*params(3))*params(11)/(1-params(11));
residual(5) = lhs - rhs;
lhs = y(17);
rhs = y(13)*(1-params(3))*(-(params(4)-1))+y(15)*(1+(params(4)-1)*params(3))*params(12)/(1-params(12));
residual(6) = lhs - rhs;
lhs = y(18)-y(19);
rhs = y(16)-y(12);
residual(7) = lhs - rhs;
lhs = y(16);
rhs = y(17);
residual(8) = lhs - rhs;
lhs = y(20);
rhs = y(13)+params(14)*(1-params(20))*y(21);
residual(9) = lhs - rhs;
lhs = y(22);
rhs = y(13)-y(21)*params(14)*params(20);
residual(10) = lhs - rhs;
lhs = y(23);
rhs = params(16)*(y(14)+y(24)+y(25))+y(8)*(1-params(16));
residual(11) = lhs - rhs;
lhs = y(26);
rhs = params(17)*(y(15)+y(27)+y(28))+y(10)*(1-params(17));
residual(12) = lhs - rhs;
lhs = y(28);
rhs = y(25)*(-params(13))/params(21);
residual(13) = lhs - rhs;
lhs = y(23);
rhs = y(20)*params(5)+y(9)*params(7)+params(9)*y(29);
residual(14) = lhs - rhs;
lhs = y(26);
rhs = y(22)*params(6)+y(11)*params(8)+params(10)*y(30);
residual(15) = lhs - rhs;
lhs = y(31)*(1+params(15))/(params(1)+params(15));
rhs = y(23)-y(8);
residual(16) = lhs - rhs;
lhs = y(31)*(1+params(15))/(params(1)+params(15));
rhs = y(26)-y(10);
residual(17) = lhs - rhs;
lhs = y(18);
rhs = y(23)-y(25);
residual(18) = lhs - rhs;
lhs = y(18);
rhs = y(26)-y(28);
residual(19) = lhs - rhs;
lhs = y(24);
rhs = params(19)*y(4)+x(it_, 1);
residual(20) = lhs - rhs;
lhs = y(27);
rhs = params(19)*y(5)+x(it_, 2);
residual(21) = lhs - rhs;
lhs = y(29);
rhs = params(18)*y(6)+x(it_, 3);
residual(22) = lhs - rhs;
lhs = y(30);
rhs = params(18)*y(7)+x(it_, 4);
residual(23) = lhs - rhs;
lhs = y(13);
rhs = y(20)*params(20)+(1-params(20))*y(22);
residual(24) = lhs - rhs;

end
