function residual = static_resid(T, y, x, params, T_flag)
% function residual = static_resid(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = DD.static_resid_tt(T, y, x, params);
end
residual = zeros(24, 1);
lhs = y(1);
rhs = y(1)*(1-params(1))/(1+params(2))+(params(1)+params(2))/(1+params(2))*y(2);
residual(1) = lhs - rhs;
lhs = y(3);
rhs = (1-params(1))/(1+params(2))*y(3)+(params(1)+params(2))/(1+params(2))*y(4);
residual(2) = lhs - rhs;
lhs = y(5);
rhs = y(5)+y(24);
residual(3) = lhs - rhs;
lhs = y(5);
rhs = (-(1+(params(4)-1)*(1-params(3))))*y(6)+(params(4)-1)*params(3)*(params(13)*y(7)+(1-params(13))*y(8));
residual(4) = lhs - rhs;
lhs = y(9);
rhs = y(6)*(1-params(3))*(-(params(4)-1))+y(7)*(1+(params(4)-1)*params(3))*params(11)/(1-params(11));
residual(5) = lhs - rhs;
lhs = y(10);
rhs = y(6)*(1-params(3))*(-(params(4)-1))+y(8)*(1+(params(4)-1)*params(3))*params(12)/(1-params(12));
residual(6) = lhs - rhs;
lhs = y(11)-y(12);
rhs = y(9)-y(5);
residual(7) = lhs - rhs;
lhs = y(9);
rhs = y(10);
residual(8) = lhs - rhs;
lhs = y(13);
rhs = y(6)+params(14)*(1-params(20))*y(14);
residual(9) = lhs - rhs;
lhs = y(15);
rhs = y(6)-y(14)*params(14)*params(20);
residual(10) = lhs - rhs;
lhs = y(16);
rhs = params(16)*(y(7)+y(17)+y(18))+y(1)*(1-params(16));
residual(11) = lhs - rhs;
lhs = y(19);
rhs = params(17)*(y(8)+y(20)+y(21))+y(3)*(1-params(17));
residual(12) = lhs - rhs;
lhs = y(21);
rhs = y(18)*(-params(13))/params(21);
residual(13) = lhs - rhs;
lhs = y(16);
rhs = y(13)*params(5)+y(2)*params(7)+params(9)*y(22);
residual(14) = lhs - rhs;
lhs = y(19);
rhs = y(15)*params(6)+y(4)*params(8)+params(10)*y(23);
residual(15) = lhs - rhs;
lhs = y(24)*(1+params(15))/(params(1)+params(15));
rhs = y(16)-y(1);
residual(16) = lhs - rhs;
lhs = y(24)*(1+params(15))/(params(1)+params(15));
rhs = y(19)-y(3);
residual(17) = lhs - rhs;
lhs = y(11);
rhs = y(16)-y(18);
residual(18) = lhs - rhs;
lhs = y(11);
rhs = y(19)-y(21);
residual(19) = lhs - rhs;
lhs = y(17);
rhs = y(17)*params(19)+x(1);
residual(20) = lhs - rhs;
lhs = y(20);
rhs = y(20)*params(19)+x(2);
residual(21) = lhs - rhs;
lhs = y(22);
rhs = y(22)*params(18)+x(3);
residual(22) = lhs - rhs;
lhs = y(23);
rhs = y(23)*params(18)+x(4);
residual(23) = lhs - rhs;
lhs = y(6);
rhs = y(13)*params(20)+(1-params(20))*y(15);
residual(24) = lhs - rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
end
