var k1 i1 k2 i2 lam_c c h1 h2 lam_h1 lam_h2 w p c1 tau c2 y1 a1 n1 y2 a2 n2 g1 g2 r ; 

varexo e_a1 e_a2 e_g1 e_g2;

parameters delta g varrho sigma  c_y1 c_y2 i_y1 i_y2 g_y1 g_y2
         h1_ss h2_ss n1_ss miu Rss alp1 alp2 rho_g rho_a omega n2_ss ;


load ss;  

for jj=1:length(M_.param_names)  
    set_param_value(M_.param_names{jj},eval(M_.param_names{jj})); 
end;

model(linear);
%1
k1 = (1-delta)/(1+g) * k1(-1) + (delta+g)/(1+g) * i1;
%2
k2 = (1-delta)/(1+g) * k2(-1) + (delta+g)/(1+g) * i2;

lam_c = lam_c(-1) + r;
%3
lam_c = -(1+(sigma-1)*(1-varrho)) * c + varrho*(sigma-1) * ( n1_ss * h1 + (1-n1_ss) * h2);
%4
lam_h1 = - (sigma -1)*(1-varrho) * c + ( 1+varrho*(sigma-1)) * h1_ss/(1-h1_ss) * h1;
%5
lam_h2 = - (sigma -1)*(1-varrho) * c + ( 1+varrho*(sigma-1)) * h2_ss/(1-h2_ss) * h2;
%6
w - p = lam_h1 - lam_c;
%7
lam_h1 = lam_h2;
%8
c1 = c + miu*(1-omega) * tau;
%9
c2 = c - miu * omega * tau;
%10
y1 = alp1 *( a1 + n1 + h1) + (1-alp1) * k1;
%11
y2 = alp2 *( a2 + n2 + h2) + (1-alp2) * k2;
%12
n2 = - n1_ss/n2_ss * n1;
%13
y1 = c_y1 * c1 + i_y1 * i1 + g_y1 * g1;
%14
y2 = c_y2 * c2 + i_y2 * i2 + g_y2 * g2;
%15
(1+Rss)/(Rss + delta) * r = y1 - k1;
%16
(1+Rss)/(Rss + delta) * r = y2 - k2;
%17
w = y1 - n1;
%18
w = y2 - n2;
%19
a1 = rho_a * a1(-1) + e_a1;
%20
a2 = rho_a * a2(-1) + e_a2;
%21
g1 = rho_g * g1(-1) + e_g1;
%22
g2 = rho_g * g2(-1) + e_g2;
%24
c = omega * c1 + (1- omega) * c2;
end;

steady;

shocks;

var e_a1; stderr 0.01;
var e_a2; stderr 0.01;
var e_g1; stderr 0.01;
var e_g2; stderr 0.01;

end;


stoch_simul(irf = 40);
